/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DeptoMunicipio;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DeptoMunicipioFacadeLocal {

    void create(DeptoMunicipio deptoMunicipio);

    void edit(DeptoMunicipio deptoMunicipio);

    void remove(DeptoMunicipio deptoMunicipio);

    DeptoMunicipio find(Object id);

    List<DeptoMunicipio> findAll();

    List<DeptoMunicipio> findRange(int[] range);

    int count();

    DeptoMunicipio municipo(String deptoMunicipioCodigo);

}
